This URL adds a cloud account.
Resource URL
POST /controller/<controller Id>/account
Request Parameters
URL Parameters:
Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| Controller ID. You can use the | number | Yes |
Payload Parameters:
Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| Name of cloud account | string | Yes |
| Description of the cloud account | string | Yes |
| Type of cloud account | string | Yes |
| Type of authentication | string | Yes |
| Not applicable | Not applicable | Not applicable |
| Authentication details | object | No |
Details of authenticator in AWS deployments:
Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| Account ID | string | No |
| Access key used for authentication | string | No |
| Pass phrase used for authentication | string | No |
Details of authenticator in Azure deployments:
Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| Account ID | string | No |
| Tenant ID | string | No |
| Application ID | string | No |
| Application Key | string | No |
| Subscription number | number | No |
Response Parameters
Following fields are returned in the response.
Field Name | Description | Data Type |
|---|---|---|
| Indicates if the cloud account addition is successful. Value is set to Value is set to | string |
| Message if cloud account addition is successful | string |
| Error message if the cloud account addition is not successful | string |
| Not applicable | Not applicable |
| Id of the newly added cloud account | number |
Example
Request
POST https://<NSM_IP>/intruvert/webservice/api/v1/cloud/controller/7
Payload in AWS deployments
{
"name": "Controller-6",
"description": "Test controller creation",
"serviceIp": null,
"sharedSecretKey": "admin123",
"cloudAccounts": [{
"name":"acc_1", "description":"test account"
"authType": {
"code": "key_based"
},
"cloudType": {
"name": "aws"
},
"valid": true,
"authenticator": {
"accountId": 0,
"accessKey": "AKIAJCPSSYIORDW5XYZ",
"secret": "test123"
}
}
Payload in Azure deployments
{
"name": "Controller-6",
"description": "Test controller creation",
"serviceIp": null,
"sharedSecretKey": "admin123",
"cloudAccounts": [{
"name":"acc_1", "description":"test account"
"authType": {
"code": "key_based"
},
"cloudType": {
"name": "azure"
},
"valid": true,
"authenticator": {
"accountId": 0,
"tenantId": "xyz",
"appId": "appIdXYZ",
"appKey": "apKey",
"subscription":"6873904"
}
}
Response
{
"success": true,
"msg": null,
"errMsg": null,
"domainName": null,
"data": 4
}